Ultra-Realistic Flight Simulation

X-Plane 10 Graphics Card Support

This chart shows information on graphics card compatibility from when X-plane 10 came out. Compatibility does not include performance information – some cards may function normally but only provide usable frame rates at the lowest settings.

GPU OS X Windows Linux
ATI/AMD
Radeon 7nnn, 7nnn, 9200 Below System Requirements
Radeon 9500-9800, X300, X600 Below System Requirements
Radeon HD X1nnn Supported with 10.02 patch Incompatible, unsupported
Radeon HD 2000 and higher Supported
NVidia
GeForce 256, 2, 3, 4 Below System Requirements
GeForce FX 5nnn Unknown, possibly incompatible
GeForce 6nnn, 7nnn Supported with 10.02 patch
GeForce 8nnn, 9nnn, 1nn, 2nn, 3nn Supported
GeForce 4nn, 5nn Supported with command-line work-around Supported, some graphic artifacts under investigation Supported
Other
Intel GMA 9nn Below System Requirements
Intel GMA X3nnn Incompatable – under investigation Unknown Unsupported – no
Intel HD Graphics Supported Supported With 10.02 Patch
Jennifer Roberts from the X-Plane team wrote this post

Written by

Last updated at 10:16 am